Subject: NPT time modification

From: Henning Schulzrinne <[email-masked]>
Date: Wed, 09 Jul 1997 11:55:39 +0200

It has been suggested to modify the NPT definition slightly:

- use a decimal value instead of microseconds for easy parsing with
scanf(%f), easier arithmetic and scalable precision to 18 digits with
double precision float values

- allow hh:mm:ss.fraction notation for easier human editing in addition
to seconds.fraction

The two changes are independent (except that currently : is used a
delimiter). A parser can trivially tell whether hh:mm:ss.fraction or
seconds.fraction is present, without any tagging or value ambiguity.

Opinions?
-- 
Henning Schulzrinne         email: [email-masked]
Dept. of Computer Science   phone: +1 212 939-7042
Columbia University         fax:   +1 212 666-0140
New York, NY 10027          URL:   http://www.cs.columbia.edu/~hgs